Bug 1526 - XIM patch from Xorg
Summary: XIM patch from Xorg
Status: CLOSED WONTFIX
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: Jim Gettys
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on: 1182
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-04 00:50 UTC by Jim Huang
Modified: 2011-10-15 17:23 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
XIM patch from Xorg (4.14 KB, patch)
2004-10-04 00:50 UTC, Jim Huang
no flags Details | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Huang 2004-10-04 00:50:12 UTC
The attachment is my attempt to backport Xorg's XIM fixing to FreeDesktop.org's
modular xlibs. Here are the ChangeLogs:

2004-09-14  Egbert Eich  <eich-at-freedesktop-org>

        * lib/X11/imInsClbk.c: (_XimUnRegisterIMInstantiateCallback):
        Unregistering events in XSelectInput() when unregistering IM
        filter callbacks may be a bad idea as others may be interested
        in this event. Removed the call to XSelectInput() altogether
        as we are in root window anyway (Lubos Lunak).

2004-08-31  Egbert Eich  <eich-at-freedesktop-org>

        * lib/X11/GetWAttrs.c: (_XGetWindowAttributes),
        (XGetWindowAttributes):
        * lib/X11/PutBEvent.c: (_XPutBackEvent), (XPutBackEvent):
        * lib/X11/Xlibint.h:
        * lib/X11/imDefLkup.c: (_XimGetWindowEventmask):
        * lib/X11/imLcFlt.c:
        Fixed some lockups in XIM code when the application is running
        with multi thread support. These lockups occur deep down in
        XFilterEvents() which itself locks when another Xlib function
        gets called that also locks. This fixes two instances by
        separating those Xlib functions into an internal (non-locking)
        call and a locking wrapper that is used as an external function.
        There may be several other such instances therefore another
        more general patch is eventually required (Bugzilla #1182).
Comment 1 Jim Huang 2004-10-04 00:50:56 UTC
Created attachment 1006 [details] [review]
XIM patch from Xorg
Comment 2 Jamey Sharp 2007-06-11 10:32:27 UTC
The xlibs repo is obsolete, and it looks to me like this was the wrong fix for the problem anyway. Closing, won't fix.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.